Bug 122677 - cpuspeed init script is completely broken [with fix]
Summary: cpuspeed init script is completely broken [with fix]
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-utils   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-06 20:18 UTC by Barry K. Nathan
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.4-9.1.131
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-09 09:13:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Barry K. Nathan 2004-05-06 20:18:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040301 Firefox/0.8

Description of problem:
The cpuspeed init script checks /var/lock/subsys/sysstat instead of
/var/lock/subsys/cpuspeed. Therefore (on my systems at least) it never
starts!

Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.130

How reproducible:
Always

Steps to Reproduce:
1. Install FC-devel.
2. Check if cpuspeed is running.
3. Become root and run "/etc/init.d/cpuspeed start"
    

Actual Results:  silence, and cpuspeed doesn't start

Expected Results:  cpuspeed should start *or* I should see some kind
of error output (actually I think I should see output either way, for
that matter)

Additional info:

Fix is obvious -- just change "sysstat" to "cpuspeed" in line 20 of
the cpuspeed init script.

This error was introduced by the attempted fix for bug 119770.

Comment 1 Barry K. Nathan 2004-05-09 09:13:04 UTC
I just tested kernel-utils-2.4-9.1.131 and just confirmed that it's
fixed. Thanks!


Note You need to log in before you can comment on or make changes to this bug.